Skip to main content
GET
/
apply
/
business_application
List Business Applications
curl --request GET \
  --url https://api.treasuryprime.com/apply/business_application \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.treasuryprime.com/apply/business_application"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.treasuryprime.com/apply/business_application', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "bank_id": "bank_anybank",
      "bankdata": null,
      "created_at": "2019-03-02T11:55:14Z",
      "dba": null,
      "description": "Our company is engaged in the buying and selling of [...]",
      "established_on": "2018-08-01",
      "id": "abus_21sen7m398ab",
      "identification_number": null,
      "identification_number_type": null,
      "incorporation_state": "DE",
      "legal_structure": "llc",
      "mailing_address": {
        "city": "Sacramento",
        "country": "US",
        "postal_code": "95814",
        "state": "CA",
        "street_line_1": "1300 L St"
      },
      "naics": "42",
      "naics_description": "Wholesale Trade",
      "name": "Acme Goods Inc",
      "person_applications": [
        {
          "id": "apsn_01d5w6yaa6vt",
          "ownership_percentage": 25,
          "roles": [
            "signer"
          ],
          "title": "CEO"
        },
        {
          "id": "apsn_0fd62018smsk",
          "ownership_percentage": 30,
          "roles": [
            "control_person",
            "signer"
          ],
          "title": "CFO"
        }
      ],
      "phone_number": "+1 415-555-1111",
      "physical_address": {
        "city": "Benicia",
        "postal_code": "94510",
        "state": "CA",
        "street_line_1": "115 W G St"
      },
      "tin": "11-3344555",
      "updated_at": "2019-03-02T11:55:14Z",
      "urls": [
        "http://example.com"
      ],
      "userdata": null
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size business-application elements, starting after the business-application described by page_cursor. If no more business-applications are available, the resulting list will be empty.

data
object[]